Skip to content
Install

List the pods of a deployment

GET
/deployments/{id}/pods
curl --request GET \
--url https://example.com/deployments/example/pods \
--header 'Authorization: Bearer <token>'

Auth: authenticated (scope: read)

id
required
string

OK

Media typeapplication/json
Array<object>
object
containers
Array<object>
object
image
string | null
init
boolean
lastTermination
object
exitCode
number | null
finishedAt
string | null
reason
required
string | null
key
additional properties
message
string | null
name
required
string
ready
boolean
reason
string | null
restartCount
number
startedAt
string | null
state
string
Allowed values: running waiting terminated unknown
key
additional properties
cpuUsage
number | null
createdAt
string | null
deletingAt
string | null
disruption
string | null
graceSeconds
number | null
id
string
ip
string | null
memoryUsage
number | null
name
required
string
nodeName
string | null
notReadySince
string | null
phase
string | null
podIp
string | null
probes
object
liveness
required
boolean
readiness
required
boolean
startup
required
boolean
readySince
string | null
reason
string | null
restartCount
number
revision
string | null
scheduled
boolean
schedulingMessage
string | null
slot
string | null
startTime
string | null
status
required
string
unschedulableSince
string | null
key
additional properties

Example

[
{
"containers": [
{
"state": "running"
}
]
}
]